Skip to main content
`Ctrl`+`K`

# DMPlexGetCellType

Get the polytope type of a given cell

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCellType(DM dm, PetscInt cell, DMPolytopeType *celltype)

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- cell - The cell

## Output Parameter

- celltype - The polytope type of the cell

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPolytopeType`, `DMPlexGetCellTypeLabel()`, `DMPlexGetDepthLabel()`, `DMPlexGetDepth()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

## Examples

src/snes/tutorials/ex27.c
src/snes/tutorials/ex20.c
src/dm/impls/plex/tutorials/ex16.c
src/snes/tutorials/ex24.c
src/snes/tutorials/ex26.c
src/dm/impls/plex/tutorials/ex11.c
src/snes/tutorials/ex13.c
src/dm/impls/swarm/tutorials/ex1.c
src/snes/tutorials/ex11.c
src/snes/tutorials/ex17.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages